## org.eclipse.datatools.connectivity.db.generic.ui
Class NewConnectionProfileWizard

    java.lang.Object
      org.eclipse.jface.wizard.Wizard
          org.eclipse.datatools.connectivity.internal.ui.wizards.BaseWizard
              org.eclipse.datatools.connectivity.ui.wizards.NewConnectionProfileWizard
                  org.eclipse.datatools.connectivity.db.generic.ui.NewConnectionProfileWizard

All Implemented Interfaces:
  org.eclipse.datatools.connectivity.internal.ui.wizards.IMediator, org.eclipse.datatools.connectivity.internal.ui.wizards.ISummaryDataSource, ICPWizard, org.eclipse.help.IContextProvider, org.eclipse.jface.wizard.IWizard, org.eclipse.ui.INewWizard, org.eclipse.ui.IWorkbenchWizard

    public class NewConnectionProfileWizard

extends NewConnectionProfileWizard

See Also:
  `Wizard`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.datatools.connectivity.ui.wizards.NewConnectionProfileWizard
`NewConnectionProfileWizard.IFinishTask`

Field Summary

Fields inherited from class org.eclipse.jface.wizard.Wizard
`DEFAULT_IMAGE`

Fields inherited from interface org.eclipse.help.IContextProvider
`NONE, SELECTION`

Constructor Summary
`NewConnectionProfileWizard()`

Method Summary
`void` `addCustomPages()` Clients needs to add their customized pages here
`void` `createPageControls(org.eclipse.swt.widgets.Composite pageContainer)`
`org.eclipse.help.IContext` `getContext(java.lang.Object target)`
`int` `getContextChangeMask()`
`java.util.Properties` `getProfileProperties()` Clients need provide implementation to get extra profile properties
`java.lang.String` `getSearchExpression(java.lang.Object target)`

Methods inherited from class org.eclipse.datatools.connectivity.ui.wizards.NewConnectionProfileWizard
`addPages, delegatesTask, getParentProfile, getProfileDescription, getProfileIsAutoConnect, getProfileName, getProfilePage, getProfileProviderID, getSummaryData, init, initProviderID, isFinished, isProfileNamePageSkippable, performFinish, setParentProfile, setProfileDescription, setProfileName, setProfileNameAndDescription, setSkipProfileNamePage`

Methods inherited from class org.eclipse.datatools.connectivity.internal.ui.wizards.BaseWizard
`canFinish, getNextPage, getPreviousPage, getStartingPage, mediatePage`

Methods inherited from class org.eclipse.jface.wizard.Wizard

`addPage, dispose, getContainer, getDefaultPageImage, getDialogSettings, getPage, getPageCount, getPages, getShell, getTitleBarColor, getWindowTitle, isHelpAvailable, needsPreviousAndNextButtons, needsProgressMonitor, performCancel, setContainer, setDefaultPageImageDescriptor, setDialogSettings, setForcePreviousAndNextButtons, setHelpAvailable, setNeedsProgressMonitor, setTitleBarColor, setWindowTitle`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.wizard.IWizard
`canFinish, dispose, getContainer, getDefaultPageImage, getDialogSettings, getNextPage, getPage, getPageCount, getPages, getPreviousPage, getStartingPage, getTitleBarColor, getWindowTitle, isHelpAvailable, needsPreviousAndNextButtons, needsProgressMonitor, performCancel, setContainer`

Constructor Detail

### NewConnectionProfileWizard

    public NewConnectionProfileWizard()

Method Detail

### addCustomPages

    public void addCustomPages()

  Description copied from class: `NewConnectionProfileWizard`
  Clients needs to add their customized pages here

  Specified by:
    `addCustomPages` in class `NewConnectionProfileWizard`
  See Also:
    `NewConnectionProfileWizard.addCustomPages()`

### getProfileProperties

    public java.util.Properties getProfileProperties()

  Description copied from class: `NewConnectionProfileWizard`
  Clients need provide implementation to get extra profile properties

  Specified by:
    `getProfileProperties` in class `NewConnectionProfileWizard`
  Returns:
  See Also:
    `NewConnectionProfileWizard.getProfileProperties()`

### getContext

    public org.eclipse.help.IContext getContext(java.lang.Object target)

  Specified by:
    `getContext` in interface `org.eclipse.help.IContextProvider`
  Overrides:
    `getContext` in class `NewConnectionProfileWizard`

### getContextChangeMask

    public int getContextChangeMask()

  Specified by:
    `getContextChangeMask` in interface `org.eclipse.help.IContextProvider`
  Overrides:
    `getContextChangeMask` in class `NewConnectionProfileWizard`

### getSearchExpression

    public java.lang.String getSearchExpression(java.lang.Object target)

  Specified by:
    `getSearchExpression` in interface `org.eclipse.help.IContextProvider`
  Overrides:
    `getSearchExpression` in class `NewConnectionProfileWizard`

### createPageControls

    public void createPageControls(org.eclipse.swt.widgets.Composite pageContainer)

  Specified by:
    `createPageControls` in interface `org.eclipse.jface.wizard.IWizard`
  Overrides:
    `createPageControls` in class `NewConnectionProfileWizard`